//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void PrintEquationBulletedList([HOptional] string caption,string[] captions,string[] values)
{
   PrintEquationBulletedList(false,caption,captions,values);
}

//==================================================================================================

public void PrintEquationBulletedList(string[] captions,string[] values)
{
   PrintEquationBulletedList(false,captions,values);
}

public void PrintEquationBulletedList(string[] captions,ConsoleColor? captionColor,string[] values)
{
   PrintEquationBulletedList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public void PrintEquationBulletedList(string[] captions,string[] values,ConsoleColor? valueColor)
{
   PrintEquationBulletedList(false,captions,values,valueColor);
}

public void PrintEquationBulletedList( string[] captions, ConsoleColor? captionColor,
                                       string[] values, ConsoleColor? valueColor )
{
   PrintEquationBulletedList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public void PrintEquationBulletedList( string[] captions, ConsoleColor? captionColor,
                                       string[] values, ConsoleColor? valueColor,
                                       ConsoleColor? equationLigamentColor )
{
   PrintEquationBulletedList(false,captions,captionColor,values,valueColor,equationLigamentColor);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
